petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCPARMSSetSolveTolerances

Sets the convergence tolerance and the maximum iterations for the inner GMRES solver, when the Schur global preconditioner is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetSolveTolerances(PC pc,PetscReal tol,PetscInt maxits)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| tol | - the convergence tolerance Many br
| maxits | - the maximum number of iterations to use Many br

### Options Database Keys

| -pc_parms_solve_tol | - set the tolerance for local solve Many br
| -pc_parms_max_it | - set the maximum number of inner iterations Many br

Many br

### Notes

See the pARMS functions parms_PCSetInnerEps and parms_PCSetInnerMaxits for more information. Many br

### See Also

PCPARMS, PCPARMSSetSolveRestart()

Level:intermediate
Location:src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages